> For the complete documentation index, see [llms.txt](https://readme.streampayments.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://readme.streampayments.io/readme/api-reference/models.md).

# Models

## The CreateFundraisingRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"CreateFundraisingRequest":{"required":["customer","comercianteId","merchantOperationId","requestDate","transaction"],"type":"object","properties":{"transaction":{"$ref":"#/components/schemas/TransactionRequest"},"customer":{"$ref":"#/components/schemas/CustomerRequest"},"merchantOperationId":{"maxLength":100,"minLength":0,"type":"string","description":"Identificación externa de la operación del comerciante"},"requestDate":{"type":"string","format":"date-time","description":"Fecha y hora de la solicitud en formato ISO 8601 con milisegundos y zona horaria UTC"},"metaData":{"maxItems":3,"minItems":0,"type":"array","description":"Metadatos del comerciante","items":{"$ref":"#/components/schemas/MetaDataRequest"}}}},"TransactionRequest":{"required":["expiryTime","payment","paymentMethods","redirectUrls"],"type":"object","properties":{"payment":{"$ref":"#/components/schemas/PaymentRequest"},"paymentDescription":{"maxLength":30,"minLength":0,"type":"string","description":"Descripción del pago"},"paymentMethods":{"type":"array","description":"Métodos de pago con colectores","items":{"$ref":"#/components/schemas/PaymentMethodRequest"}},"expiryTime":{"minimum":1,"type":"integer","description":"Tiempo de expiración en minutos","format":"int64"},"redirectUrls":{"$ref":"#/components/schemas/RedirectUrlsRequest"}},"description":"Datos de la transacción"},"PaymentRequest":{"required":["amount","currency"],"type":"object","properties":{"currency":{"maxLength":3,"minLength":3,"type":"string","description":"Código alfa ISO-4217 de la moneda del pago"},"amount":{"type":"string","description":"Monto del pago (siempre con 2 decimales)"}},"description":"Datos del pago"},"PaymentMethodRequest":{"required":["method"],"type":"object","properties":{"method":{"type":"string"}},"description":"Métodos de pago con colectores"},"RedirectUrlsRequest":{"required":["success","error"],"type":"object","properties":{"success":{"type":"string","description":"URL de redirección en caso de éxito"},"error":{"type":"string","description":"URL de redirección en caso de error"}},"description":"Datos de redirección"},"CustomerRequest":{"required":["document","email","firstName","lastName"],"type":"object","properties":{"firstName":{"maxLength":15,"minLength":0,"type":"string","description":"Nombre del cliente"},"lastName":{"maxLength":15,"minLength":0,"type":"string","description":"Apellido del cliente"},"document":{"$ref":"#/components/schemas/DocumentRequest"},"email":{"maxLength":320,"minLength":0,"type":"string","description":"Correo electrónico del cliente"},"phone":{"$ref":"#/components/schemas/PhoneRequest"},"address":{"maxLength":255,"minLength":0,"type":"string","description":"Dirección del cliente (Requerido para Pago con Tarjetas)"}},"description":"Datos del cliente"},"DocumentRequest":{"required":["number","type"],"type":"object","properties":{"type":{"maxLength":4,"minLength":4,"type":"string","description":"Tipo de documento"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de documento"}},"description":"Documento del cliente"},"PhoneRequest":{"required":["countryCode","number"],"type":"object","properties":{"countryCode":{"maxLength":10,"minLength":0,"type":"string","description":"Código de país del teléfono"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de teléfono"}},"description":"Teléfono del cliente"},"MetaDataRequest":{"required":["code","value"],"type":"object","properties":{"code":{"maxLength":30,"minLength":0,"type":"string","description":"Código de metadato del comerciante"},"value":{"maxLength":100,"minLength":0,"type":"string","description":"Valor de metadato del comerciante"}},"description":"Metadatos del comerciante"}}}}
```

## The CustomerRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"CustomerRequest":{"required":["document","email","firstName","lastName"],"type":"object","properties":{"firstName":{"maxLength":15,"minLength":0,"type":"string","description":"Nombre del cliente"},"lastName":{"maxLength":15,"minLength":0,"type":"string","description":"Apellido del cliente"},"document":{"$ref":"#/components/schemas/DocumentRequest"},"email":{"maxLength":320,"minLength":0,"type":"string","description":"Correo electrónico del cliente"},"phone":{"$ref":"#/components/schemas/PhoneRequest"},"address":{"maxLength":255,"minLength":0,"type":"string","description":"Dirección del cliente (Requerido para Pago con Tarjetas)"}},"description":"Datos del cliente"},"DocumentRequest":{"required":["number","type"],"type":"object","properties":{"type":{"maxLength":4,"minLength":4,"type":"string","description":"Tipo de documento"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de documento"}},"description":"Documento del cliente"},"PhoneRequest":{"required":["countryCode","number"],"type":"object","properties":{"countryCode":{"maxLength":10,"minLength":0,"type":"string","description":"Código de país del teléfono"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de teléfono"}},"description":"Teléfono del cliente"}}}}
```

## The DocumentRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"DocumentRequest":{"required":["number","type"],"type":"object","properties":{"type":{"maxLength":4,"minLength":4,"type":"string","description":"Tipo de documento"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de documento"}},"description":"Documento del cliente"}}}}
```

## The MetaDataRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"MetaDataRequest":{"required":["code","value"],"type":"object","properties":{"code":{"maxLength":30,"minLength":0,"type":"string","description":"Código de metadato del comerciante"},"value":{"maxLength":100,"minLength":0,"type":"string","description":"Valor de metadato del comerciante"}},"description":"Metadatos del comerciante"}}}}
```

## The PaymentMethodRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"PaymentMethodRequest":{"required":["method"],"type":"object","properties":{"method":{"type":"string"}},"description":"Métodos de pago con colectores"}}}}
```

## The RedirectUrlsRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"RedirectUrlsRequest":{"required":["success","error"],"type":"object","properties":{"success":{"type":"string","description":"URL de redirección en caso de éxito"},"error":{"type":"string","description":"URL de redirección en caso de error"}},"description":"Datos de redirección"}}}}
```

## The PaymentRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"PaymentRequest":{"required":["amount","currency"],"type":"object","properties":{"currency":{"maxLength":3,"minLength":3,"type":"string","description":"Código alfa ISO-4217 de la moneda del pago"},"amount":{"type":"string","description":"Monto del pago (siempre con 2 decimales)"}},"description":"Datos del pago"}}}}
```

## The PhoneRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"PhoneRequest":{"required":["countryCode","number"],"type":"object","properties":{"countryCode":{"maxLength":10,"minLength":0,"type":"string","description":"Código de país del teléfono"},"number":{"maxLength":20,"minLength":0,"type":"string","description":"Número de teléfono"}},"description":"Teléfono del cliente"}}}}
```

## The TransactionRequest object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"TransactionRequest":{"required":["expiryTime","payment","paymentMethods","redirectUrls"],"type":"object","properties":{"payment":{"$ref":"#/components/schemas/PaymentRequest"},"paymentDescription":{"maxLength":30,"minLength":0,"type":"string","description":"Descripción del pago"},"paymentMethods":{"type":"array","description":"Métodos de pago con colectores","items":{"$ref":"#/components/schemas/PaymentMethodRequest"}},"expiryTime":{"minimum":1,"type":"integer","description":"Tiempo de expiración en minutos","format":"int64"},"redirectUrls":{"$ref":"#/components/schemas/RedirectUrlsRequest"}},"description":"Datos de la transacción"},"PaymentRequest":{"required":["amount","currency"],"type":"object","properties":{"currency":{"maxLength":3,"minLength":3,"type":"string","description":"Código alfa ISO-4217 de la moneda del pago"},"amount":{"type":"string","description":"Monto del pago (siempre con 2 decimales)"}},"description":"Datos del pago"},"PaymentMethodRequest":{"required":["method"],"type":"object","properties":{"method":{"type":"string"}},"description":"Métodos de pago con colectores"},"RedirectUrlsRequest":{"required":["success","error"],"type":"object","properties":{"success":{"type":"string","description":"URL de redirección en caso de éxito"},"error":{"type":"string","description":"URL de redirección en caso de error"}},"description":"Datos de redirección"}}}}
```

## The FundraisingTransactionalResponse object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"FundraisingTransactionalResponse":{"type":"object","properties":{"payinId":{"type":"string"},"merchantOperationId":{"type":"string"},"paymentDescription":{"type":"string"},"statusCode":{"type":"string"},"statusName":{"type":"string"},"currency":{"type":"string"},"amount":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"expiryDate":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDetails"}}},"PaymentDetails":{"type":"object","properties":{"paymentDate":{"type":"string","format":"date-time"},"authorizationCode":{"type":"string"}}}}}}
```

## The PaymentDetails object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"PaymentDetails":{"type":"object","properties":{"paymentDate":{"type":"string","format":"date-time"},"authorizationCode":{"type":"string"}}}}}}
```

## The CustomerDetails object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"CustomerDetails":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string"},"documentType":{"type":"string"},"documentNumber":{"type":"string"},"email":{"type":"string"},"phoneNumber":{"type":"string"}}}}}}
```

## The CreateFundraisingResponse object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"CreateFundraisingResponse":{"required":["code","message","transactionDetails"],"type":"object","properties":{"code":{"type":"string","description":"Código de mensaje"},"message":{"type":"string","description":"Respuesta de mensaje"},"checkoutLink":{"type":"string","description":"URL del checkout"},"transactionDetails":{"$ref":"#/components/schemas/TransactionDetailsResponse"}}},"TransactionDetailsResponse":{"required":["payinId","amount","currency"],"type":"object","properties":{"payinId":{"type":"string","description":"Identificador de la transacción de parte de StreamPayments"},"paymentCode":{"type":"string","description":"Código de pago"},"qrCode":{"type":"string","description":"Imagen QR de pago"},"expiryDate":{"type":"string","format":"date-time","description":"Fecha de expiración"},"amount":{"type":"string","description":"Monto de la operación"},"currency":{"type":"string","description":"Moneda de la operación"}}}}}}
```

## The TransactionDetailsResponse object

```json
{"openapi":"3.0.1","info":{"title":"Definición OpenAPI","version":"v0"},"components":{"schemas":{"TransactionDetailsResponse":{"required":["payinId","amount","currency"],"type":"object","properties":{"payinId":{"type":"string","description":"Identificador de la transacción de parte de StreamPayments"},"paymentCode":{"type":"string","description":"Código de pago"},"qrCode":{"type":"string","description":"Imagen QR de pago"},"expiryDate":{"type":"string","format":"date-time","description":"Fecha de expiración"},"amount":{"type":"string","description":"Monto de la operación"},"currency":{"type":"string","description":"Moneda de la operación"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://readme.streampayments.io/readme/api-reference/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
